Create Bolt Webhook
Create a new webhook to receive notifications from Bolt about various events, such as transaction status. Webhooks must have unique configuration.
Transaction & account events:
pending- The payment pre-authorization was successful, and the transaction is now pending fraud review.failed_payment- The payment failed pre-authorization.payment- An automatic capture transaction passed authorization and fraud review, and the system captured the funds.auth- A manual capture transaction passed authorization and fraud review, and you can begin the capture process.rejected_irreversible- The transaction failed fraud review, with no appeal option available.rejected_reversible- The transaction was flagged during fraud review; a re-review can be requested.capture- A manual capture was successful.credit- The system successfully processed a refund or credit.void- The system successfully voided the transaction.newsletter_subscription- The customer subscribed to the merchant's newsletter.risk_insights- Information about the transaction's risk is available from the fraud review.credit_card_deleted- A customer removed a saved credit card from their account.
Subscription events:
subscription_created- A subscription was created from a successful initial transaction.subscription_renewed- A recurring subscription order was placed successfully and the next order was scheduled.subscription_canceled- A subscription was canceled, by the merchant, by the shopper, or automatically (e.g. once its dunning retry schedule is exhausted). Also sent alongsidesubscription_endedwhen the subscription's configured final dunning action is cancellation.subscription_payment_failed- A scheduled subscription order's payment attempt failed.subscription_paused- A subscription was paused, by the merchant, by the shopper, or automatically once its dunning retry schedule is exhausted (when the configured final dunning action is pausing).subscription_unpaused- A paused subscription was resumed, by the merchant or by the shopper.subscription_ended- A subscription was permanently ended after its dunning retry schedule was exhausted. Sent alongsidesubscription_canceledfor this case.
Authorization
X-API-Key X-API-Key<token>
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Request Body
application/json
Webhook that receives notifications.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "division_id": "3X9aPQ67-YrB", "url": "https://eva-nerv.shop.com/path/to/hook" }'{ "webhook_id": "wh_za7VbYcSQU2zRgGQXQAm-g"}